package utils

import "time"

const (
	Md5Key = "GuRaB6dY1bXOJcwG"
)

//常量定义
const (
	FormatTime            = "15:04:05"            //时间格式
	FormatDate            = "2006-01-02"          //日期格式
	FormatDateUnSpace     = "20060102"            //日期格式
	FormatDateTime        = "2006-01-02 15:04:05" //完整时间格式
	FormatDateTimeUnSpace = "20060102150405"      //完整时间格式
	PageSize15            = 15                    //列表页每页数据量
	PageSize5             = 5
	PageSize10            = 10
	PageSize20            = 20
	PageSize30            = 30
)

const (
	APP_NAME_CN      = "弘则-ETA数据刷新"
	APP_NAME_EN      = "hongze_edb_lib"
	EmailSendToUsers = "glji@hzinsights.com;pyan@hzinsights.com;cxzhang@hzinsights.com"
)

//数据来源渠道
const (
	DATA_SOURCE_THS                   = iota + 1 //同花顺
	DATA_SOURCE_WIND                             //wind
	DATA_SOURCE_PB                               //彭博
	DATA_SOURCE_CALCULATE                        //指标运算
	DATA_SOURCE_CALCULATE_LJZZY                  //累计值转月
	DATA_SOURCE_CALCULATE_TBZ                    //同比值
	DATA_SOURCE_CALCULATE_TCZ                    //同差值
	DATA_SOURCE_CALCULATE_NSZYDPJJS              //N数值移动平均计算
	DATA_SOURCE_MANUAL                           //手工指标
	DATA_SOURCE_LZ                               //隆众
	DATA_SOURCE_YS                               //有色
	DATA_SOURCE_CALCULATE_HBZ                    //环比值->12
	DATA_SOURCE_CALCULATE_HCZ                    //环差值->13
	DATA_SOURCE_CALCULATE_BP                     //变频->14
	DATA_SOURCE_GL                               //钢联->15
	DATA_SOURCE_ZZ                               //郑商所->16
	DATA_SOURCE_DL                               //大商所->17
	DATA_SOURCE_SH                               //上期所->18
	DATA_SOURCE_CFFEX                            //中金所->19
	DATA_SOURCE_SHFE                             //上期能源->20
	DATA_SOURCE_GIE                              //欧洲天然气->21
	DATA_SOURCE_CALCULATE_TIME_SHIFT             //时间移位->22
	DATA_SOURCE_CALCULATE_ZJPJ                   //直接拼接->23
	DATA_SOURCE_CALCULATE_LJZTBPJ                //累计值同比拼接->24
	DATA_SOURCE_LT                               //路透->25
	DATA_SOURCE_COAL                             //煤炭网->26
	DATA_SOURCE_PYTHON                           //python代码->27
	DATA_SOURCE_PB_FINANCE                       //彭博财务数据->28
	DATA_SOURCE_GOOGLE_TRAVEL                    //谷歌出行数据->29
	DATA_SOURCE_PREDICT                          //普通预测指标->30
	DATA_SOURCE_PREDICT_CALCULATE                //预测指标运算->31
	DATA_SOURCE_PREDICT_CALCULATE_TBZ            //同比值->32
	DATA_SOURCE_PREDICT_CALCULATE_TCZ            //同差值->33
	DATA_SOURCE_MYSTEEL_CHEMICAL                 //钢联化工->34
	DATA_SOURCE_CALCULATE_CJJX                   //超季节性->35
)

//基础数据初始化日期
var (
	BASE_START_DATE         = time.Now().AddDate(-30, 0, 0).Format(FormatDate)        //基础数据开始日期
	BASE_END_DATE           = time.Now().AddDate(4, 0, 0).Format(FormatDate)          //基础数据结束日期
	BASE_START_DATE_UnSpace = time.Now().AddDate(-30, 0, 0).Format(FormatDateUnSpace) //基础数据开始日期
	BASE_END_DATE_UnSpace   = time.Now().AddDate(4, 0, 0).Format(FormatDateUnSpace)   //基础数据结束日期
)

type WindUrlMap struct {
	Url string
	Num int
}

var (
	Hz_Ths_Data_Url       string                                   //同花顺，万得接口服务地址（阿里云windows服务器地址）
	Hz_Wind_Data_Url      = "http://datawind.hzinsights.com:8040/" //万得接口服务地址
	Hz_Pb_Data_Url        = "http://datapb.hzinsights.com:8040/"   //彭博接口地址
	Hz_LT_Data_Url        = "http://dataek.hzinsights.com:8040/"   //路透社接口地址
	EDB_DATA_LIMIT        = 10
	Hz_Wind_Data_Url_LIST = []WindUrlMap{
		{Url: "http://datawind.hzinsights.com:8040/", Num: 2000},
		{Url: "http://datawind2.hzinsights.com:8040/", Num: 2000},
		//{Url: "http://datawind3.hzinsights.com:8040/", Num: 100},
	}
)

const (
	DATA_PREFIX  = "hz_data"
	CHART_PREFIX = "hz_chart"
)

//数据刷新频率
const (
	DATA_REFRESH        = 7 //7个单位，日/周/月/季度/年
	DATA_END_DATE_LIMIT = 4 //数据结束日期为，当前日期，加上4年时间
)

const (
	CACHE_EDB_DATA_ADD     = "CACHE_EDB_DATA_ADD_"
	CACHE_EDB_DATA_REFRESH = "CACHE_EDB_DATA_REFRESH_"
	CACHE_WIND_URL         = "CACHE_WIND_URL"
	CACHE_CHART_INFO_DATA  = "chart:info:data:" //图表数据
)
